# StringTable.h File Reference

A simple class to encode and decode known strings based on a lookup table. Similar to the StringCompressor class. More...

`#include "DS_OrderedList.h"`
`#include "Export.h"`
`#include "RakMemoryOverride.h"`

## Namespaces

namespace | RakNet

## Classes

struct | StrAndBool
| The string plus a bool telling us if this string was copied or not. More...
class | RakNet::StringTable
| Writes a string index, instead of the whole string. More...

## Typedefs

typedef unsigned char | StringTableType
| StringTableType should be the smallest type possible, or else it defeats the purpose of the StringTable class, which is to save bandwidth.

## Detailed Description

A simple class to encode and decode known strings based on a lookup table. Similar to the StringCompressor class.

This file is part of RakNet Copyright 2003 Kevin Jenkins.

Usage of RakNet is subject to the appropriate license agreement. Creative Commons Licensees are subject to the license found at http://creativecommons.org/licenses/by-nc/2.5/ Single application licensees are subject to the license found at http://www.jenkinssoftware.com/SingleApplicationLicense.html Custom license users are subject to the terms therein. GPL license users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.